<h1>Pdm Anomaly Detection with RNN </h1>

<p>
<span style="color:red">NOTE: The Qt/QML display of this demo is designed for 1920x1080 resolution. Please run the demo with a 1080p HDMI monitor.</span>
</p>

<h2>Purpose:</h2>
<p>This application demonstrates Predictive Maintenance (PdM) using Recurrent Neural Network (RNN) for anomaly detection.
A system model is established to predict the output from the input for the normal scenario,
creating a high accuracy approximation of the physical system.
If there are significant and continuous prediction errors, it indicates anomalies are happening. </p>

<p>Sensor data (phase currents and angular position) from motor drive TI design (http://www.ti.com/tool/TIDEP0025) are recorded for this demo </p>

<p>The RNN model is trained with normal scenario data: motor moves with velocity of 100 degree per second from 45 degree to 270 degree
and back to 45, and so on so forth. </p>

<p>The testing sequence used in this demo starts with the normal scenario data.
The beginning data series are used for calibration to set the error threshold for anomaly detection.
After that, the demo is looking for anomalies, which produce prediction error larger than the threshold.
Anomalies for this demo are created by moving the rotor with a higher velocity of 150 degree per second. </p>

<p>Exit demo by clicking x at the top right corner of the Qt windos</p>
